Name:           sugar-bounce
Version:        7
Release:        2%{?dist}
Summary:        Fast paced 3D action game

Group:          Sugar/Activities
License:        GPLv3+
URL:            http://wiki.sugarlabs.org/go/Activities/Bounce
Source0:        http://download.sugarlabs.org/sources/honey/Bounce/Bounce-%{version}.tar.bz2

BuildRequires:  python sugar-toolkit gettext swig gtk2-devel python-devel gstreamer-devel pygtk2-devel
Requires:       sugar

%description
The game is analogous to the arcade game Pong, however it takes 
place within a three dimensional box with physical effects such 
as gravity. Additionally, bounce features an editor which allows 
children to create their own version of the game.

%prep
%setup -q -n Bounce-%{version}
sed -i -e 's|-fPIC -O2|%{optflags}|' pongc/Makefile

%build
# build C binaries
pushd pongc
make
popd

%{__python} ./setup.py build

%install
rm -rf $RPM_BUILD_ROOT
%{__python} ./setup.py install --prefix=%{buildroot}/%{_prefix}
mkdir -p %{buildroot}%{_libdir}/sugar/Bounce
mv %{buildroot}%{sugaractivitydir}Bounce.activity/pongc/_pongc.so %{buildroot}%{_libdir}/sugar/Bounce/
rm -rf %{buildroot}%{sugaractivitydir}Bounce.activity/pongc

%files
%defattr(-,root,root,-)
%doc NEWS
%{sugaractivitydir}/Bounce.activity/
%{_libdir}/sugar/Bounce/_pongc.so

%changelog

* Sun Mar 18 2012 Kalpa Welivitigoda <callkalpa@gmail.com> - 7-2
- compiling library _pong.so

* Fri Sep 16 2011 Kalpa Welivitigoda <callkalpa@gmail.com> - 7-1
- initial packaging
